Library Version 11.2.5.3

DB_SEQUENCE->set_cachesize()
Prev | Chapter 11. The DB_SEQUENCE Handle | Next

## DB_SEQUENCE->set_cachesize()

    #include <db.h>

    int
    DB_SEQUENCE->set_cachesize(DB_SEQUENCE *seq, int32_t size);

Configure the number of elements cached by a sequence handle.

The `DB_SEQUENCE->set_cachesize()` method may not be called after the DB_SEQUENCE->open() method is called.

The `DB_SEQUENCE->set_cachesize()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### size

The number of elements in the cache.

### Errors

The `DB_SEQUENCE->set_cachesize()` method may fail and return one of the following non-zero errors:

#### EINVAL

An invalid flag value or parameter was specified.

### Class

DB_SEQUENCE

### See Also

Sequences and Related Methods

Prev | Up | Next
DB_SEQUENCE->remove() | Home | DB_SEQUENCE->set_flags()